<?php

session_start();

require __DIR__ . '/pay_drivers/rbspayment/rbs.php';

$AMI_ENV_SETTINGS = array(
    'mode' => 'full',
    'response_mode' => 'HTML',
    'response_buffered' => false,
);

chdir('../..');
require 'ami_env.php';

if (!isset($_GET['orderId'])) return;

$aSettings = unserialize(AMI::getResourceModel('payment_drivers/table')->findByFields(array('header' => 'rbspayment'))->settings);

$oSession = AMI::getSingleton('env/session');
if (!$oSession->isStarted()) {
    $oSession->start();
}

$order_id = $_GET['orderId'];
$order_number = $oSession->{$order_id . '_number'};
$return = $oSession->{$order_id . '_return'};
$cancel = $oSession->{$order_id . '_cancel'};

$order = AMI::getResourceModel('eshop_order/table')->find($order_number);

$config['user_name'] = $aSettings['username'];
$config['password'] = $aSettings['password'];
$config['test_mode'] = ($aSettings['test_mode'] == 'true') ? TRUE : FALSE;


$rbs = new RBS($config);

$response = $rbs->get_order_status_by_orderId($order_id);

if ($response['errorCode'] == '0') {
    if ($response['orderStatus'] == '1' || $response['orderStatus'] == '2') {
        $order->status = 'accepted';
        $order->save();
        header('Location: ' . $return);
    } else {
        $order->status = 'rejected';
        $order->save();
        header('Location: ' . $cancel);
    }
} else {
    echo '<h3>Ошибка платежного шлюза: ' . $response['errorMessage'] . '</h3>';
}